@import "src/sass/abstracts/abstracts";

:host {

  .button-wrapper {
    @include respond-to-breakpoint('xs') {
      display: flex;
      flex-direction: column;
      > * {
        margin-bottom: 5px;
      }
    }
  }

  .container {
    position: relative;
    padding-top: 20px;
    display: grid;
    grid-template-columns: minmax(410px, 1fr) 2fr;
    grid-gap: 30px;

    @include respond-to-smaller-than-breakpoint('md') {
      grid-template-columns: 1fr;
      grid-template-rows: max-content max-content;
    }

    .visualization {
      max-height: 100%;
      height: 100%;
      overflow-x: hidden;
      overflow-y: hidden;
      position: relative;

      &.fullscreen {
        position: absolute;
        top: 0;
        background-color: $white;
        left: 0;
        right: 0;
        z-index: $z-index-preview;
        height: inherit;
        max-height: inherit;

        .file-visualizer {
          min-height: 100vh;
        }
      }

      .fullscreen-button-wrapper {
        display: flex;
        justify-content: flex-end;
        align-items: center;

        .fullscreen-button {
          color: $primary-color;
        }
      }

      .file-visualizer {
        &.has-error-message {
          height: 0 ! important;
          display: none;
        }
      }

      .warning-area {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: 300px;

        .icon {
          padding: 10px;
        }
      }
    }

    .no-preview {
      justify-self: center;
      border: 1px solid $extra-light-grey;
      width: 400px;
      height: 400px;
      display: flex;
      justify-content: center;
      align-items: center;

      .package {
        background-color: $black;
        border-radius: 14px;
        padding: 38px;
        color: $white;
        font-size: 70px;
        font-weight: bold;
      }

      .no-preview-change-relative-location {
        text-align: center;
        padding: 0 10px;
        font-size: 18px;
        line-height: 32px;
      }

      .visualization-no-preview {
        text-align: center;
        padding: 0 10px;
        font-size: 18px;
        line-height: 32px;
        position: relative;

        .trigger-preview-wrapper {
          position: absolute;
          display: grid;
          justify-content: center;
          align-content: center;
          top: 0;
          bottom: 0;
          left: 0;
          right: 0;
        }
      }

      .icon {
        color: $extra-light-grey;
        @include icon-important(300px);

        ::ng-deep .icon {
          @include icon-important(300px)
        }
      }
    }

    .informations {
      padding-right: 20px;

      ::ng-deep {
        // Allow to make edit button in "Location" and "Category" visible
        .mat-mdc-list-item {
          overflow: visible;

          .mdc-list-item__content {
            overflow: visible;
          }
        }
      }

      .item-content {
        display: grid;
        grid-template-columns: max-content 10px 1fr;
        grid-template-areas: "key . value";
        width: 100%;
        flex-wrap: wrap;
        position: relative;

        @include respond-to-breakpoint-and-bigger('sm') {
          justify-content: space-between;
        }

        .key {
          grid-area: key;
          flex-basis: 100%;
          color: $light-grey;

          @include respond-to-breakpoint-and-bigger('sm') {
            flex-basis: auto;
            color: initial;
          }
        }

        .value {
          grid-area: value;
          text-align: right;
          @include truncate-with-ellipsis;
        }

        .edit {
          position: absolute;
          right: -50px;
          top: -11px;
        }

        .value-list {
          word-break: break-all;
        }

      }

    }

  }

}

@include isInDarkMode {
  .container {
    .visualization {
      &.fullscreen {
        background-color: $dark-mode-background;
      }
    }

    .informations {
      .item-content {
        .key {
          color: $dark-mode-text-disabled;
        }
      }
    }

    .no-preview {
      border-color: $dark-mode-line;

      .package {
        background: $white;
        color: $black;
      }
    }
  }
}
